# This file is part of the Juju GUI, which lets users view and manage Juju
# environments within a graphical interface (https://launchpad.net/juju-gui).
# Copyright (C) 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License version 3, as published by
# the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranties of MERCHANTABILITY,
# SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


"""Juju GUI server test suite entry point."""

import os
import unittest

from tornado import testing


def all():
    """This is required by the Tornado test runner.

    See <http://www.tornadoweb.org/en/stable/testing.html#test-runner>.
    """
    path = os.path.dirname(__file__)
    return unittest.defaultTestLoader.discover(path)


if __name__ == '__main__':
    testing.main(verbosity=2)
